object {
    font-family: 'Nunito', sans-serif;
}

button {
    appearance: none;
    -webkit-appearance: none;
    border: none;
    cursor: pointer;
}

.bar-cont:after {
    display: block;
    content: "";
    clear: both;
}

.bar {
    width: 2px;
    background-color: #999;
    float: left;
    margin-right: 1px;
    display: block;
    pointer-events: none;
}

.bar--progress {
    background-color: #eee;
}

.bar--selected {
    background-color: #59BECD;
}

body::-webkit-scrollbar {
    width: 0.5em;
}

body::-webkit-scrollbar-track {}

body::-webkit-scrollbar-thumb {
    background-color: #000;
}

.slide-fade-enter-active {
    transition: all .3s ease;
}

.slide-fade-leave-active {
    transition: all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0);
}

.slide-fade-enter,
.slide-fade-leave-to
/* .slide-fade-leave-active below version 2.1.8 */

{
    transform: translateX(10px);
    opacity: 0;
}

.slide-up-enter-active {
    transition: all .3s ease;
}

.slide-up-leave-active {
    transition: all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0);
}

.slide-up-enter,
.slide-up-leave-to {
    transform: translateY(10px);
    opacity: 0;
}

html,
body {
    padding: 0;
    margin: 0;
    height: 100%;
    font-family: 'Nunito', sans-serif;
    color: #fff;
    background-color: rgb(23, 23, 23);
}

* {
    box-sizing: border-box;
}

.container {
    max-width: 1200px;
    width: 95%;
    margin: 0 auto;
}

.bottom-player__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.bottom-player__volume {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.bottom-player__volume img {
    width: 20px;
}

.bottom-player {
    position: -webkit-sticky;
    position: sticky;
    bottom: -1px;
    width: 100%;
    /* position:fixed;
    bottom:0; */
    background-color: #000;
    padding: 1em;
}

.bottom-player__group {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.bottom-player__group>div {
    margin: 0 0.5em;
}

.wrapper {
    /* padding-bottom:100px; */
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

.topnav {
    flex-basis: 50px;
    flex-grow: 0;
    flex-shrink: 0;
    background-color: rgb(24, 31, 38);
    width: 100%;
    display: flex;
    align-items: center;
}

.topnav__title {
    display: flex;
    align-items: center;
    font-weight: bold;
}

.topnav__title img {
    width: 100px;
}

.uploader {
    background-color: rgb(13, 13, 13);
    width: 100%;
}

.uploader__content {
    padding: 2em 0em;
    justify-content: flex-start;
    flex-direction: row;
    display: flex;
}

.uploader__text {
    width: 50%;
}

.uploader__input {
    flex-direction: column;
    justify-content: center;
    width: 100%;
    align-items: center;
    display: flex;
}

.uploader__info {
    text-align: center;
}

.uploader__button {
    padding: 1.2em 5em;
    background-color: #aaa;
    border-radius: 5px;
    color: #000;
    font-size: 14px;
}

.text__title {
    font-weight: bold;
    font-size: 18px;
    margin-bottom: 0.5em;
}

.text__subtitle {
    font-size: 14px;
    line-height: 16px;
    color: #bbb;
}

.list {
    padding: 2em 0;
    background-color: rgb(23, 23, 23);
    flex-grow: 0;
    flex-shrink: 0;
}

.taglist {
    display: flex;
    width: 50%;
}

.taglist__group {
    padding: 1em 2em 1em 0;
}

.taglist__group__item.taglist__group__item--selected {
    color: #53FFEB;
}

.taglist__group__item--selected img {
    color: r#53FFEB;
}

.taglist__group__item {
    cursor: pointer;
    color: #bbb;
    font-weight: bold;
    padding: 0.5em 1em 1em 0;
    align-items: center;
    display: flex;
}

.taglist__group {
    min-width: 200px;
}

.taglist__group--items .taglist__group__item {
    justify-content: space-between;
}

.taglist__group--items .taglist__group__item span:first-child {
    padding: 0 2em 0 0;
}

.list__content {
    display: flex;
}

.list__head {
    justify-content: flex-start;
    flex-direction: row;
    align-items: center;
    display: flex;
}

.list__head__text {
    width: 50%;
}

.list__head__filter {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.list__head__tags {
    display: flex;
    flex-direction: row;
}

.list__head__tags__item {
    font-size: 12px;
    cursor: pointer;
    border: 1px solid #888;
    color: #888;
    margin-right: 0.5em;
    padding: 0.5em;
    border-radius: 5px;
}

.list__head__search {}

.list__head__input {
    border: 1px solid #888;
    background-color: transparent;
    padding: 0.5em;
    border-radius: 5px;
    color: #fff;
}

.form-group {
    margin-bottom: 1em;
}

.form-group label {
    display: block;
    color: #888;
    margin-bottom: 0.5em;
}

.btn {
    border: 1px solid #888;
    cursor: pointer;
    padding: 1em 2.5em;
    border-radius: 5px;
}

.form-control {
    font-family: 'Nunito', sans-serif;
    background-color: #eee;
    width: 100%;
    display: block;
    border: 1px solid #888;
    padding: 0.5em;
    border-radius: 5px;
    color: #000;
}

::-webkit-input-placeholder {
    /* Edge */
    color: white;
    font-family: 'Nunito', sans-serif;
}

:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #888;
    font-family: 'Nunito', sans-serif;
}

::placeholder {
    color: white;
    font-family: 'Nunito', sans-serif;
}

.track__list {
    padding: 1.5em 0;
    width: 100%;
}

.track__list__item:last-child {
    border-bottom: 0;
}

.track__list__item {
    cursor: pointer;
    padding: 0.5em;
    border-bottom: 1px solid #666;
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    font-size: 14px;
}

.track__list__item--selected {
    background-color: #333;
}

.track__list__item__number {
    padding: 0.5em;
    width: 40px;
}

.track__list__item__image {
    padding: 0.5em;
}

.track__list__item__image div {
    width: 40px;
    height: 40px;
}

.track__list__item__play {
    padding: 0.5em;
}

.track__list__item__song {
    padding: 0.5em;
    width: 50%;
}

.track__list__item__title,
.bottom-player__title {
    font-weight: bold;
}

.bottom-player__image {
    width: 50px;
}

.bottom-player__image div {
    width: 50px;
    height: 50px;
}

.bottom-player__song {
    width: 30%;
}

.track__list__item__name,
.bottom-player__name {
    font-size: 13px;
    color: #bbb;
}

.track__list__item__duration {
    padding: 0.5em;
    margin-left: auto;
}

.track__list__item__wave {
    padding: 0.5em;
    text-align: center;
}

.track__list__item__dl {
    padding: 0.5em;
}

.track__list__item__start {
    padding: 0.5em;
}

.track__list__item__menu {
    padding: 0.5em;
}

.song-info {
    padding: 2em 0;
    background-color: rgb(23, 23, 23);
}

.song-info__img {
    width: 150px;
    height: 150px;
    float: left;
    margin-right: 2em;
}

.song-info__content {
    display: flex;
}

.song-info__left {
    width: 60%;
    padding: 1em 10em 1em 0;
}

.song-info__right {
    width: 40%;
    padding: 1em 1em 1em 0;
}

[v-cloak] {
    visibility: hidden;
}

.bar-drag-cont {
    position: relative;
}

.bar-drag-item {
    cursor: move;
    position: absolute;
    width: 2px;
    height: 100px;
    transform: translateY(-50%);
    background-color: #EB5858;
}

.volume-cont:after {
    content: " ";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #fff;
}

.volume-cont {
    display: block;
    position: relative;
    width: 100px;
    margin-left: 0.5em;
    height: 20px;
}

.volume-item {
    width: 2px;
    height: 100%;
    position: absolute;
    background-color: #fff;
}

.bpm-filter {
    width: 100%;
    text-align: center;
}

.bpm-filter-tabs {
    display: flex;
}

.bpm-filter-tab {
    padding: 1em 0;
    cursor: pointer;
    font-size: 12px;
    width: 50%;
    text-align: center;
    color: #aaa;
    border-bottom: 3px solid #aaa;
}

.bpm-cont {
    padding-bottom: 1em;
    display: flex;
    justify-content: space-around;
}

.bpm-input {
    color: #fff;
    font-family: 'Nunito', sans-serif;
    appearance: none;
    background-color: transparent;
    border: 2px solid #fff;
    text-align: center;
    border-radius: 4px;
    width: 60px;
}

.bpm-filter-tab--selected {
    color: #fff;
    border-bottom: 3px solid #fff;
}

.bpm-drag-cont {
    width: 100%;
    height: 50px;
    position: relative;
}

.bpm-drag-cont::before {
    background-color: cyan;
    transform: translateY(-50%);
    height: 2px;
    content: " ";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
}

.bpm-drag-item {
    transform: translateY(-50%);
    cursor: move;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    border: 2px solid cyan;
    background-color: rgb(23, 23, 23);
}

.more-songs {
    font-weight: bold;
    text-align: center;
    margin: 2em 0;
    cursor: pointer;
}

.uploader__pending_upload {
    margin: 2em auto;
}

.header {}

.header__cont {
    display: flex;
    margin: 0 auto;
    max-width: 1200px;
}

.header__leftside {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 2em 2em 2em 0;
    width: 50%;
    float: left;
}

.header__title {
    font-size: 1.5em;
    margin: 0;
    margin-bottom: 1em;
}

.header__text {
    margin: 0;
    margin-bottom: 3em;
    font-size: 14px;
}

.header__leftside .btn {
    width: auto;
    flex-grow: 0;
}

.header__image {
    width: 50%;
    float: left;
}

.header__image img {
    width: 100%;
}

.header__leftside__img {
    width: 200px;
    overflow: hidden;
}

.header__leftside__img img {
    width: 200px;
    margin-left: -85px;
}

.footer {
    margin-top: auto;
    color: #bbb;
}

.footer__nka {
    display: flex;
    justify-content: flex-end;
    padding: 1em;
}

.footer_nka_text {
    text-align: right;
    font-size: 12px;
    padding: 1em;
}

.footer_nka_img img {
    width: 150px;
}

.footer-bar {
    padding: 1em;
    background-image: linear-gradient(to right, #037d83, #61016f);
}

.footer-logo {
    width: 100px;
}